﻿Public Class Postal
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim id As String = Request.QueryString("id")

        If id Is Nothing OrElse id = "" Then
            Me.PostalAddress1.Text = ""
            Me.PostalAddress2.Text = ""
            Me.PostalAddress3.Text = ""
        Else
            Dim Path As String = Util.GetAppSetting("DataPostalXML")
            Dim FullPath As String = System.Web.HttpContext.Current.Server.MapPath(Path)
            Dim xmldoc As XElement = XElement.Load(FullPath)
            Dim query As IEnumerable(Of XElement) = From x In xmldoc.Descendants("address") Where x.Element("postalcode").Value = id

            Dim address1 As String = query.Elements("address1").Value
            Dim address2 As String = query.Elements("address2").Value
            Dim address3 As String = query.Elements("address3").Value

            Me.PostalAddress1.Text = address1
            Me.PostalAddress2.Text = address2
            Me.PostalAddress3.Text = address3

        End If
 
    End Sub

End Class