﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" MasterPageFile="~/Site.Master" CodeBehind="Status.aspx.vb" Inherits="WebFormManagerASP4.Status" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
     <p>検索条件を入力してください</p>
    <asp:ValidationSummary ID="errorMessage" runat="server" Font-Size="10pt" ForeColor="#FF0000" Font-Bold="True"　EnableClientScript="False"/>
     <table>
        <tr>
            <td>申込番号<asp:TextBox ID="seqId" runat="server" MaxLength="10"></asp:TextBox></td>
        </tr>
        <tr>
            <td>姓（漢字）<asp:TextBox ID="seiKanji" runat="server" MaxLength="20"></asp:TextBox>
            名（漢字）<asp:TextBox ID="meiKanji" runat="server" MaxLength="20"></asp:TextBox></td>
        </tr>
         <tr>
            <td>姓（カナ）<asp:TextBox ID="seiKana" runat="server" MaxLength="20"></asp:TextBox>
            名（カナ）<asp:TextBox ID="meiKana" runat="server" MaxLength="20"></asp:TextBox></td> 
        </tr>
         <tr>
            <td>郵便番号<asp:TextBox ID="zip" runat="server" MaxLength="7"></asp:TextBox>(#######形式)
            メールアドレス<asp:TextBox ID="email" runat="server" MaxLength="50"></asp:TextBox>
            </td>
         </tr>
        <tr>
            <td>日付<asp:TextBox ID="fromDate" runat="server" MaxLength="10"></asp:TextBox>
            ～<asp:TextBox ID="toDate" runat="server" MaxLength="10"></asp:TextBox>
            (YYYY/MM/DD形式)
            </td>
        </tr>
        <tr>
            <td>取得件数
                <asp:DropDownList ID="viewCount" runat="server">
                    <asp:ListItem Value="100">100件取得</asp:ListItem>
                    <asp:ListItem Value="200">200件取得</asp:ListItem>
                    <asp:ListItem Value="500">500件取得</asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
   </table>
    <asp:Button ID="search" runat="server" Text="検索" CausesValidation="false" />
    <asp:Button ID="clear" runat="server" Text="検索条件クリア" CausesValidation="false" />
    <br />
    <br />
    <asp:GridView ID="dataList" runat="server" AutoGenerateColumns="False" AllowPaging="true">
        <HeaderStyle  BackColor="#e8eef4" ForeColor="#000000"/>
        <Columns>
            <asp:HyperLinkField DataNavigateUrlFields="SEQ_ID" DataNavigateUrlFormatString="./Detail.aspx?id={0}" Text="詳細" HeaderText="アクション"/>
            <asp:BoundField DataField="SEQ_ID" HeaderText="申込番号" />
            <asp:BoundField DataField="SEI_KANJI" HeaderText="姓（漢字）" />
            <asp:BoundField DataField="MEI_KANJI" HeaderText="名（漢字）" />
            <asp:BoundField DataField="SEI_KANA" HeaderText="姓（カナ）" />
            <asp:BoundField DataField="MEI_KANA" HeaderText="名（カナ）" />
            <asp:BoundField DataField="BIRTH_DATE" HeaderText="生年月日" />
            <asp:BoundField DataField="GENDER_TEXT" HeaderText="性別" />
            <asp:TemplateField HeaderText="郵便番号">
                <ItemTemplate>
                    <asp:Label ID="lbZip1" runat="server" Text='<%# Bind("ZIP1") %>'></asp:Label>-
                     <asp:Label ID="lbZip2" runat="server" Text='<%# Bind("ZIP2")%>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:BoundField DataField="ADDRESS1" HeaderText="都道府県" />
            <asp:BoundField DataField="ADDRESS2" HeaderText="市区郡" />
            <asp:BoundField DataField="ADDRESS3" HeaderText="町名・番地" />
            <asp:BoundField DataField="ADDRESS4" HeaderText="マンション・アパート名" />
            <asp:TemplateField HeaderText="自宅電話番号">
                <ItemTemplate>
                    <asp:Label ID="lbTel1" runat="server" Text='<%# Bind("TEL1") %>'></asp:Label>-
                    <asp:Label ID="lbTel2" runat="server" Text='<%# Bind("TEL2") %>'></asp:Label>-
                    <asp:Label ID="lbTel3" runat="server" Text='<%# Bind("TEL3") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="携帯電話番号">
                <ItemTemplate>
                    <asp:Label ID="lbMtel1" runat="server" Text='<%# Bind("M_TEL1")%>'></asp:Label>-
                    <asp:Label ID="lbMtel2" runat="server" Text='<%# Bind("M_TEL2")%>'></asp:Label>-
                    <asp:Label ID="lbMtel3" runat="server" Text='<%# Bind("M_TEL3")%>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:BoundField DataField="E_MAIL" HeaderText="メールアドレス" />
            <asp:BoundField DataField="OCCUPATION_TEXT" HeaderText="職業" />
            <asp:BoundField DataField="REQUEST_DATE" HeaderText="申込日時" />
            <asp:BoundField DataField="STATUS_TEXT" HeaderText="ステータス" />
            <asp:BoundField DataField="IP_ADDRESS" HeaderText="IPアドレス" />
            <asp:BoundField DataField="SESSION_ID" HeaderText="セッションID" />
        </Columns>
    </asp:GridView>
    <br />
    <asp:CustomValidator ID="cusValSeqId" runat="server" ErrorMessage="" Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:CustomValidator ID="cusValSeiKanji" runat="server" ErrorMessage="" Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:CustomValidator ID="cusValMeiKanji" runat="server" ErrorMessage="" Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:CustomValidator ID="cusValSeiKana" runat="server" ErrorMessage="" Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:CustomValidator ID="cusValMeiKana" runat="server" ErrorMessage="" Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:CustomValidator ID="cusValZip" runat="server" ErrorMessage="" Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:CustomValidator ID="cusValEMail" runat="server" ErrorMessage="" Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:CustomValidator ID="cusValFromDate" runat="server" ErrorMessage="" Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:CustomValidator ID="cusValToDate" runat="server" ErrorMessage="" Display="None" EnableClientScript="false"></asp:CustomValidator>
</asp:Content>
