﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" MasterPageFile="~/Site.Master" CodeBehind="Entry.aspx.vb" Inherits="WebFormASP4.Entry" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <script type="text/javascript" >
        function load_address() {
            var url = "./Postal.aspx?id=" + document.getElementById("MainContent_zip1").value + document.getElementById("MainContent_zip2").value;
            childWin = window.open(url, 'childWindowPostal', 'width=600,height=200,status=no,scrollbars=yes,directories=no,menubar=no,resizable=no,left=300,top=50');
        }

        function searchAddress() {
            document.getElementById("MainContent_address1").value = childWin.document.getElementById("PostalAddress1").value;
            document.getElementById("MainContent_address2").value = childWin.document.getElementById("PostalAddress2").value;
            document.getElementById("MainContent_address3").value = childWin.document.getElementById("PostalAddress3").value;
            
            childWin.close();
        }

        function convHiraganaToKatakana(input) {
            var output = '';
            var c;
            var n;
            for (var i = 0; i < input.length; i++) {
                c = document.getElementById(input).value.charAt(i);
                n = c.charCodeAt(0);
                if ((n >= 0x3041) && (n <= 0x3096)) {
                    c = String.fromCharCode(n + 0x60);
                }
                output += c;
            }
            document.getElementById(input).value = output;
        }
    </script>
    <asp:Label ID="siteLabel" runat="server" Text="" ForeColor="#FF0000"></asp:Label> <br /> 
    <asp:ValidationSummary ID="errorPanel" runat="server" Font-Size="10pt" ForeColor="#FF0000" Font-Bold="True"　EnableClientScript="False"/>
    <table>
            <tr>
                <th>お名前<asp:Button ID="testButton" runat="server" Text="テスト"  CausesValidation ="false"/>
                </th>
                <td>
                    <table>
                        <tr>
                            <td>姓（漢字）</td>
                            <td>
                                <asp:TextBox ID="seiKanji" runat="server" MaxLength="20"></asp:TextBox>
                            </td>
                            <td>名（漢字）</td>
                            <td><asp:TextBox ID="meiKanji" runat="server" MaxLength="20"></asp:TextBox></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <th>カナ氏名</th>
                <td>
                    <table>
                        <tr>
                            <td>姓（カナ）</td>
                            <td><asp:TextBox ID="seiKana" runat="server" MaxLength="20" onblur="convHiraganaToKatakana('MainContent_seiKana')"></asp:TextBox></td>
                            <td>名（カナ）</td>
                            <td><asp:TextBox ID="meiKana" runat="server" MaxLength="20" onblur="convHiraganaToKatakana('MainContent_meiKana')"></asp:TextBox></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <th>生年月日</th>
                <td>
                   <asp:TextBox ID="birthYear" runat="server" MaxLength="4"></asp:TextBox>年
                    <asp:TextBox ID="birthMonth" runat="server" MaxLength="2"></asp:TextBox>月
                   <asp:TextBox ID="birthDay" runat="server" MaxLength="2"></asp:TextBox> 日
                </td>
            </tr>
            <tr>
                <th>性別</th>
                <td>
                     
                    <asp:RadioButtonList ID="gender" runat="server" RepeatDirection="Horizontal" RepeatLayout="Flow" >
                    </asp:RadioButtonList>
                     
                </td>
            </tr>
            <tr>
                <th>住所</th>
                <td>
                    <table>
                        <tr>
                            <td>郵便番号</td>
                            <td><asp:TextBox ID="zip1" runat="server" MaxLength="3"></asp:TextBox>-<asp:TextBox ID="zip2" runat="server" MaxLength="4"></asp:TextBox></td>
                            <td><input type="button" value="郵便番号から住所を選択する" onclick="load_address(); return false;"/></td>
                        </tr>
                    </table>
                    <table>
                        <tr>
                            <td>都道府県</td>
                            <td><asp:TextBox ID="address1" runat="server" MaxLength="30"></asp:TextBox></td>
                        </tr>
                        <tr>    
                            <td>市区郡</td>
                            <td><asp:TextBox ID="address2" runat="server" MaxLength="30"></asp:TextBox></td>
                        </tr>
                        <tr>
                            <td>町名・番地</td>
                            <td><asp:TextBox ID="address3" runat="server" MaxLength="40"></asp:TextBox></td>
                        </tr>
                        <tr>
                            <td>アパート・マンション名</td>
                            <td><asp:TextBox ID="address4" runat="server" MaxLength="40"></asp:TextBox></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <th>電話番号</th>
                <td>
                    <table>
                        <tr>
                            <td colspan="2">
                                ひとつ以上入力してください
                            </td>
                        </tr>
                        <tr>
                            <td>自宅電話番号</td>
                            <td><asp:TextBox ID="tel1" runat="server" MaxLength="10"></asp:TextBox>-<asp:TextBox ID="tel2" runat="server" MaxLength="10"></asp:TextBox>-<asp:TextBox ID="tel3" runat="server" MaxLength="10"></asp:TextBox></td>
                        </tr>
                        <tr>
                            <td>携帯電話番号</td>
                            <td><asp:TextBox ID="mtel1" runat="server" MaxLength="3"></asp:TextBox>-<asp:TextBox ID="mtel2" runat="server" MaxLength="4"></asp:TextBox>-<asp:TextBox ID="mtel3" runat="server" MaxLength="4"></asp:TextBox></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <th>メールアドレス</th>
                <td>
                   <asp:TextBox ID="email1" runat="server" MaxLength="50"></asp:TextBox><br />
                    ※確認のため、もう一度ご入力ください<br />
                    <asp:TextBox ID="email2" runat="server" MaxLength="50"></asp:TextBox>
                                
                </td>
            </tr>
            <tr>
                <th>職業</th>
                <td>
                    <asp:DropDownList ID="occupation" runat="server">
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <th>画像認証</th>
                <td>
                    <table>
                        <tr>
                            <td>不正アクセス防止のため、<br />右に表示されている画像認証<br />コードを入力ください</td>
                            <td>
                                <asp:Image ID="watermark" runat="server" />
                                <asp:TextBox ID="wmnum" runat="server" MaxLength="5"></asp:TextBox></td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>

    <asp:Button ID="next" runat="server" Text="次へ"  CausesValidation="false" />
    <br />
    <asp:RequiredFieldValidator ID="reqValSeiKanji" runat="server" ErrorMessage="" ControlToValidate="seiKanji" Display="None" EnableClientScript="false"></asp:RequiredFieldValidator>
    <asp:CustomValidator ID="cusValSeiKanji" runat="server" ErrorMessage="" ControlToValidate="seiKanji"  Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:RequiredFieldValidator ID="reqValMeiKanji" runat="server" ErrorMessage="" ControlToValidate="meiKanji" Display="None" EnableClientScript="false"></asp:RequiredFieldValidator>
    <asp:CustomValidator ID="cusValMeiKanji" runat="server" ErrorMessage="" ControlToValidate="meiKanji"  Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:RequiredFieldValidator ID="reqValSeiKana" runat="server" ErrorMessage="" ControlToValidate="seiKana" Display="None" EnableClientScript="false"></asp:RequiredFieldValidator>
    <asp:RegularExpressionValidator ID="regValSeiKana" runat="server" ErrorMessage="" ControlToValidate="seiKana"  Display="None" EnableClientScript="false"></asp:RegularExpressionValidator>
    <asp:RegularExpressionValidator ID="regValSeiKana2" runat="server" ErrorMessage="" ControlToValidate="seiKana"  Display="None" EnableClientScript="false"></asp:RegularExpressionValidator>
    <asp:RequiredFieldValidator ID="reqValMeiKana" runat="server" ErrorMessage="" ControlToValidate="meiKana" Display="None" EnableClientScript="false"></asp:RequiredFieldValidator>
    <asp:RegularExpressionValidator ID="regValMeiKana" runat="server" ErrorMessage="" ControlToValidate="meiKana"  Display="None" EnableClientScript="false"></asp:RegularExpressionValidator>
    <asp:RegularExpressionValidator ID="regValMeiKana2" runat="server" ErrorMessage="" ControlToValidate="meiKana"  Display="None" EnableClientScript="false"></asp:RegularExpressionValidator>
    <asp:RequiredFieldValidator ID="reqValBirthYear" runat="server" ErrorMessage="" ControlToValidate="birthYear" Display="None" EnableClientScript="false"></asp:RequiredFieldValidator>
    <asp:CustomValidator ID="cusValBirthYear" runat="server" ErrorMessage="" ControlToValidate="birthYear"  Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:RequiredFieldValidator ID="reqValBirthMonth" runat="server" ErrorMessage="" ControlToValidate="birthMonth" Display="None" EnableClientScript="false"></asp:RequiredFieldValidator>
    <asp:CustomValidator ID="cusValBirthMonth" runat="server" ErrorMessage="" ControlToValidate="birthMonth"  Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:RequiredFieldValidator ID="reqValBirthDay" runat="server" ErrorMessage="" ControlToValidate="birthDay" Display="None" EnableClientScript="false"></asp:RequiredFieldValidator>
    <asp:CustomValidator ID="cusValBirthDay" runat="server" ErrorMessage="" ControlToValidate="birthDay"  Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:CustomValidator ID="cusValBirthDate" runat="server" ErrorMessage="" Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:CustomValidator ID="cusValGender" runat="server" ErrorMessage="" ControlToValidate="gender"  Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:RequiredFieldValidator ID="reqValZip1" runat="server" ErrorMessage="" ControlToValidate="zip1" Display="None" EnableClientScript="false"></asp:RequiredFieldValidator>
    <asp:CustomValidator ID="cusValZip1" runat="server" ErrorMessage="" ControlToValidate="zip1"  Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:RequiredFieldValidator ID="reqValZip2" runat="server" ErrorMessage="" ControlToValidate="zip2" Display="None" EnableClientScript="false"></asp:RequiredFieldValidator>
    <asp:CustomValidator ID="cusValZip2" runat="server" ErrorMessage="" ControlToValidate="zip2"  Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:RequiredFieldValidator ID="reqValAddress1" runat="server" ErrorMessage="" ControlToValidate="address1" Display="None" EnableClientScript="false"></asp:RequiredFieldValidator>
    <asp:CustomValidator ID="cusValAddress1" runat="server" ErrorMessage="" ControlToValidate="address1"  Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:RequiredFieldValidator ID="reqValAddress2" runat="server" ErrorMessage="" ControlToValidate="address2" Display="None" EnableClientScript="false"></asp:RequiredFieldValidator>
    <asp:CustomValidator ID="cusValAddress2" runat="server" ErrorMessage="" ControlToValidate="address2"  Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:RequiredFieldValidator ID="reqValAddress3" runat="server" ErrorMessage="" ControlToValidate="address3" Display="None" EnableClientScript="false"></asp:RequiredFieldValidator>
    <asp:CustomValidator ID="cusValAddress3" runat="server" ErrorMessage="" ControlToValidate="address3"  Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:CustomValidator ID="cusValAddress4" runat="server" ErrorMessage="" ControlToValidate="address4"  Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:RequiredFieldValidator ID="reqValTel1" runat="server" ErrorMessage="" ControlToValidate="tel1" Display="None" EnableClientScript="false"></asp:RequiredFieldValidator>
    <asp:CustomValidator ID="cusValTel1" runat="server" ErrorMessage="" ControlToValidate="tel1"  Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:RequiredFieldValidator ID="reqValTel2" runat="server" ErrorMessage="" ControlToValidate="tel2" Display="None" EnableClientScript="false"></asp:RequiredFieldValidator>
    <asp:CustomValidator ID="cusValTel2" runat="server" ErrorMessage="" ControlToValidate="tel2"  Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:RequiredFieldValidator ID="reqValTel3" runat="server" ErrorMessage="" ControlToValidate="tel3" Display="None" EnableClientScript="false"></asp:RequiredFieldValidator>
    <asp:CustomValidator ID="cusValTel3" runat="server" ErrorMessage="" ControlToValidate="tel3"  Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:CustomValidator ID="cusValTel" runat="server" ErrorMessage="" Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:RequiredFieldValidator ID="reqValMtel1" runat="server" ErrorMessage="" ControlToValidate="mtel1" Display="None" EnableClientScript="false"></asp:RequiredFieldValidator>
    <asp:CustomValidator ID="cusValMtel1" runat="server" ErrorMessage="" ControlToValidate="mtel1"  Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:RequiredFieldValidator ID="reqValMtel2" runat="server" ErrorMessage="" ControlToValidate="mtel2" Display="None" EnableClientScript="false"></asp:RequiredFieldValidator>
    <asp:CustomValidator ID="cusValMtel2" runat="server" ErrorMessage="" ControlToValidate="mtel2"  Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:RequiredFieldValidator ID="reqValMtel3" runat="server" ErrorMessage="" ControlToValidate="mtel3" Display="None" EnableClientScript="false"></asp:RequiredFieldValidator>
    <asp:CustomValidator ID="cusValMtel3" runat="server" ErrorMessage="" ControlToValidate="mtel3"  Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:CustomValidator ID="cusValMtel" runat="server" ErrorMessage="" Display="None" EnableClientScript="false"></asp:CustomValidator>
    <asp:RequiredFieldValidator ID="reqValEmail1" runat="server" ErrorMessage="" ControlToValidate="email1" Display="None" EnableClientScript="false"></asp:RequiredFieldValidator>
    <asp:RegularExpressionValidator ID="regValEmail1" runat="server" ErrorMessage="" ControlToValidate="email1" Display="None" EnableClientScript="false"></asp:RegularExpressionValidator>
    <asp:CompareValidator ID="compValEmail" runat="server" ErrorMessage="" Display="None" ControlToValidate="email1" ControlToCompare="email2" EnableClientScript="false"></asp:CompareValidator>
    <asp:RequiredFieldValidator ID="reqValOccupation" runat="server" ErrorMessage="" ControlToValidate="occupation" Display="None" InitialValue="0" EnableClientScript="false"></asp:RequiredFieldValidator>
    <asp:CustomValidator ID="cusValWatermark" runat="server" ErrorMessage="" Display="None" EnableClientScript="false"></asp:CustomValidator>
</asp:Content>
