﻿Public Class Site
    Inherits System.Web.UI.MasterPage

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Session("AccountInfo") Is Nothing Then
            Me.login.Visible = True
            Me.logout.Visible = False
            Me.welcome.Text = ""

            Dim menuItem1 As MenuItem = Me.NavigationMenu.Items(1)
            Dim menuItem2 As MenuItem = Me.NavigationMenu.Items(2)
            Dim menuItem3 As MenuItem = Me.NavigationMenu.Items(3)
            Dim menuItem4 As MenuItem = Me.NavigationMenu.Items(4)

            menuItem1.Text = ""
            menuItem2.Text = ""
            menuItem3.Text = ""
            menuItem4.Text = ""

        Else

            Me.login.Visible = False
            Me.logout.Visible = True

            Dim accountInfo As AccountInfo = DirectCast(Session("AccountInfo"), AccountInfo)

            Me.welcome.Text = "ようこそ" & accountInfo.operatorName & " さん"

            Dim menuItem1 As MenuItem = Me.NavigationMenu.Items(1)
            Dim menuItem2 As MenuItem = Me.NavigationMenu.Items(2)
            Dim menuItem3 As MenuItem = Me.NavigationMenu.Items(3)
            Dim menuItem4 As MenuItem = Me.NavigationMenu.Items(4)

            If Not (accountInfo.roleRead Or accountInfo.roleWrite) Then
                menuItem1.Text = ""
            End If

            If Not accountInfo.roleCSVDownload Then
                menuItem2.Text = ""
            End If

            If Not accountInfo.roleUserManager Then
                menuItem3.Text = ""
                menuItem4.Text = ""
            End If
        End If

    End Sub

    Private Sub logout_ServerClick(sender As Object, e As System.EventArgs) Handles logout.ServerClick
        Session.Clear()

        Response.Redirect("Default.aspx")
    End Sub
End Class